﻿html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}
@media (max-width: 767px) {
    .taller-img {
        margin-top: 0; /* Restablece el margen en dispositivos móviles */
    }

        .taller-img .img-holder {
            height: auto; /* Restablece la altura automática en dispositivos móviles */
        }
}

@media (max-width: 600px) {
    .gallery {
        grid-template-columns: repeat(2, 1fr);
    }

    .gallery-item:nth-child(3n + 1),
    .gallery-item:nth-child(3n + 2),
    .gallery-item:nth-child(3n) {
        grid-column: span 1;
    }
}
@media print {
    html, body {
        height: 100%;
        margin: 0;
        padding: 0;
    }

    .page {
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        page-break-after: always;
    }
}


/* Animations */
@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes slideIn {
    from {
        transform: translateY(100px) rotate(-5deg);
        opacity: 0;
    }

    to {
        transform: translateY(0) rotate(-1deg);
        opacity: 1;
    }
}

@keyframes fadeInUp {
    from {
        transform: translateY(50px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}
/* ✅ Para celulares: se reduce el ancho del marco pero sigue viéndose */
@media (max-width: 480px) {
    .lado-floral {
        width: 40px;
        min-width: 40px;
        background-size: auto 100px;
    }

    #invitation-content {
        padding: 10px;
        font-size: 0.9rem;
    }
}

/* En móvil el 50 más grande y centrado */
@media (max-width: 768px) {
    .numero50 {
        font-size: 10rem;
        top: 30%;
    }

    .guitarra-container img {
        max-width: 100%;
    }

    .card-cremita {
        width: 90%;
    }
}
@media (min-width: 768px) {
    .custom-margin-bottom {
        margin-bottom: 50px; /* Asegúrate de aplicar el mismo margen en pantallas más grandes */
    }
    /*@media (max-width: 768px) {
    .portfolio-grids {
        flex-direction: column;*/ /* Cambia la dirección de las imágenes a columna en pantallas pequeñas */
    /*}

        .portfolio-grids .grid {
            max-width: 100%;*/ /* Asegura que las imágenes ocupen todo el ancho en pantallas pequeñas */
    /*}
}*/
